read_only: make your handler read_only automatically(3)

NAME
read_only: make your handler read_only automatically - The only purpose of this handler is to return an appropriate error for any requests passed to it in a SET mode.

  Functions
netsnmp_mib_handler * netsnmp_get_read_only_handler (void)
returns a read_only handler that can be injected into a given handler chain.
int netsnmp_read_only_helper (netsnmp_mib_handler *handler, netsnmp_handler_registration *reginfo, netsnmp_agent_request_info *reqinfo, netsnmp_request_info *requests)
void netsnmp_init_read_only_helper (void)
initializes the read_only helper which then registers a read_only handler as a run-time injectable handler for configuration file use.

Detailed Description

The only purpose of this handler is to return an appropriate error for any requests passed to it in a SET mode. Inserting it into your handler chain will ensure you're never asked to perform a SET request so you can ignore those error conditions.

Function Documentation

  netsnmp_mib_handler* netsnmp_get_read_only_handler (void)

returns a read_only handler that can be injected into a given handler chain. Definition at line 32 of file read_only.c.

References netsnmp_create_handler().

Referenced by netsnmp_init_read_only_helper(), netsnmp_register_read_only_instance(), netsnmp_register_read_only_scalar(), and netsnmp_register_read_only_table_data().

  void netsnmp_init_read_only_helper (void)

initializes the read_only helper which then registers a read_only handler as a run-time injectable handler for configuration file use. Definition at line 71 of file read_only.c.

References netsnmp_get_read_only_handler(), and netsnmp_register_handler_by_name().